;////////////////////////////////////
;// addon name: nicklist designer v1
;// author: sphere
;// comments: none
;// group: clan x scripterz
;// shouts: martyr2
;////////////////////////////////////

;>>>>>>>
;dialog
;>>>>>>>

dialog ncolor {
  size -1 -1 222 185
  title "nicklist designer v1 / sphere"
  box "&op",2,7 5 100 70
  box "&voice",3,115 5 100 70
  box "&regular",4,7 77 100 70
  box "&about",5,115 77 100 70
  list 6,14 20 85 65,
  list 7,122 20 85 65
  list 8,14 92 85 65
  list 9, 122 92 85 65
  button "&ok",1, 7 153 100 25, ok
  button "&apply",10, 115 153 100 25
}

;>>>>>>>>>>>>>>
;dialog events
;>>>>>>>>>>>>>>

on *:dialog:ncolor:*:*:{
  if ($devent == sclick) && ($did == 10) { setcolors }
  if ($devent == init) {
    did -a ncolor 6 white
    did -a ncolor 6 black
    did -a ncolor 6 dark blue
    did -a ncolor 6 dark green
    did -a ncolor 6 red
    did -a ncolor 6 dark red
    did -a ncolor 6 dark purple
    did -a ncolor 6 orange
    did -a ncolor 6 yellow
    did -a ncolor 6 light green 
    did -a ncolor 6 dark aqua
    did -a ncolor 6 aqua
    did -a ncolor 6 blue
    did -a ncolor 6 purple
    did -a ncolor 6 dark grey
    did -a ncolor 6 light grey
    did -a ncolor 7 white
    did -a ncolor 7 black
    did -a ncolor 7 dark blue
    did -a ncolor 7 dark green
    did -a ncolor 7 red
    did -a ncolor 7 dark red
    did -a ncolor 7 dark purple
    did -a ncolor 7 orange
    did -a ncolor 7 yellow
    did -a ncolor 7 light green 
    did -a ncolor 7 dark aqua
    did -a ncolor 7 aqua
    did -a ncolor 7 blue
    did -a ncolor 7 purple
    did -a ncolor 7 dark grey
    did -a ncolor 7 light grey
    did -a ncolor 8 white
    did -a ncolor 8 black
    did -a ncolor 8 dark blue
    did -a ncolor 8 dark green
    did -a ncolor 8 red
    did -a ncolor 8 dark red
    did -a ncolor 8 dark purple
    did -a ncolor 8 orange
    did -a ncolor 8 yellow
    did -a ncolor 8 light green 
    did -a ncolor 8 dark aqua
    did -a ncolor 8 aqua
    did -a ncolor 8 blue
    did -a ncolor 8 purple
    did -a ncolor 8 dark grey
    did -a ncolor 8 light grey
    did -a ncolor 9 author: sphere
    did -a ncolor 9 date: mar 6, 01
    did -a ncolor 9 group: clan X
  }
}

;>>>>>>>
;events
;>>>>>>>

on *:join:#:{ ncolor $chan }
on *:op:#:{ ncolor $chan }
on *:deop:#:{ ncolor $chan }
on *:voice:#:{ ncolor $chan }
on *:devoice:#:{ ncolor $chan }

;////////////////////////////////////
;// thanks to Martyr2 for this alias
;////////////////////////////////////

alias ncolor {
  var %i = 1, %chan = $1  
  while (%i <= $nick(%chan,0)) {
    if ($nick(%chan,%i) isop %chan) { cline %opcolor %chan $nick(%chan,%i) | goto end }
    if ($nick(%chan,%i) isvo %chan) { cline %voicecolor %chan $nick(%chan,%i) | goto end }
    else { cline %regcolor %chan $nick(%chan,%i) }     
    :end   
    inc %i  
  }
}

;>>>>>>>>>>>>>>
;on load event
;>>>>>>>>>>>>>>

on *:load:{ .dialog -m ncolor ncolor | setvar }

;>>>>>>>>>>
;some vars
;>>>>>>>>>>

alias setvar {
  set %opcolor 0
  set %voicecolor 0
  set %regcolor 0
}

alias setcolors {
  set %opcolor2 $did(ncolor,6).seltext
  set %voicecolor2 $did(ncolor,7).seltext
  set %regcolor2 $did(ncolor,8).seltext
  .timerset 1 1 /ifelse1
  .timerset2 1 2 /ifelse2
  .timerset3 1 3 /ifelse3
}

alias ifelse1 {
  if (%opcolor2 == white) { set %opcolor 0 }
  if (%opcolor2 == black) { set %opcolor 1 }
  if (%opcolor2 == dark blue) { set %opcolor 2 }
  if (%opcolor2 == dark green) { set %opcolor 3 }
  if (%opcolor2 == red) { set %opcolor 4 }
  if (%opcolor2 == dark red) { set %opcolor 5 }
  if (%opcolor2 == dark purple) { set %opcolor 6 }
  if (%opcolor2 == orange) { set %opcolor 7 }
  if (%opcolor2 == yellow) { set %opcolor 8 }
  if (%opcolor2 == light green) { set %opcolor 9 }
  if (%opcolor2 == dark aqua) { set %opcolor 10 }
  if (%opcolor2 == aqua) { set %opcolor 11 }
  if (%opcolor2 == blue) { set %opcolor 12 }
  if (%opcolor2 == dark grey) { set %opcolor 13 }
  if (%opcolor2 == light grey) { set %opcolor 14 }
}

alias ifelse2 {
  if (%voicecolor2 == white) { set %voicecolor 0 }
  if (%voicecolor2 == black) { set %voicecolor 1 }
  if (%voicecolor2 == dark blue) { set %voicecolor 2 }
  if (%voicecolor2 == dark green) { set %voicecolor 3 }
  if (%voicecolor2 == red) { set %voicecolor 4 }
  if (%voicecolor2 == dark red) { set %voicecolor 5 }
  if (%voicecolor2 == dark purple) { set %voicecolor 6 }
  if (%voicecolor2 == orange) { set %voicecolor 7 }
  if (%voicecolor2 == yellow) { set %voicecolor 8 }
  if (%voicecolor2 == light green) { set %voicecolor 9 }
  if (%voicecolor2 == dark aqua) { set %voicecolor 10 }
  if (%voicecolor2 == aqua) { set %voicecolor 11 }
  if (%voicecolor2 == blue) { set %voicecolor 12 }
  if (%voicecolor2 == dark grey) { set %voicecolor 13 }
  if (%voicecolor2 == light grey) { set %voicecolor 14 }
}

alias ifelse3 {
  if (%regcolor2 == white) { set %regcolor 0 }
  if (%regcolor2 == black) { set %regcolor 1 }
  if (%regcolor2 == dark blue) { set %regcolor 2 }
  if (%regcolor2 == dark green) { set %regcolor 3 }
  if (%regcolor2 == red) { set %regcolor 4 }
  if (%regcolor2 == dark red) { set %regcolor 5 }
  if (%regcolor2 == dark purple) { set %regcolor 6 }
  if (%regcolor2 == orange) { set %regcolor 7 }
  if (%regcolor2 == yellow) { set %regcolor 8 }
  if (%regcolor2 == light green) { set %regcolor 9 }
  if (%regcolor2 == dark aqua) { set %regcolor 10 }
  if (%regcolor2 == aqua) { set %regcolor 11 }
  if (%regcolor2 == blue) { set %regcolor 12 }
  if (%regcolor2 == dark grey) { set %regcolor 13 }
  if (%regcolor2 == light grey) { set %regcolor 14 }
}

;>>>>>>>>>>>
;the popups
;>>>>>>>>>>>

menu nicklist {
  &n-designer:{ ncolor }
}

alias ncolor {
  if ($dialog(ncolor) != $null) { echo -a >>> nicklist designer already in use! }
  else { dialog -dm ncolor ncolor }
}
